## scikit-build-core 0.6.1

=== debian/changelog ===
scikit-build-core (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add me as Uploaders.
  * d/control: Add python3-virtualenv as Build Dependency.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 Nov 2023 15:29:05 -0300

scikit-build-core (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1053489)

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Oct 2023 07:59:22 -0400
