=== debian/control ===
Source: scikit-build-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Emmanuel Arias <eamanu@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libpython3-dev <!nocheck>,
 pybind11-dev <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cattr <!nocheck>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-pyproject-metadata <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-venv <!nocheck>,
 python3-virtualenv <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/scikit-build/scikit-build-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git

Package: python3-scikit-build-core
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python package build systems and CMake integration (Python 3)
 Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
 Python package build systems and CMake.
 .
 This package installs the library for Python 3.
