=== docs/examples/getting_started/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

python_add_library(example MODULE example.c WITH_SOABI)

install(TARGETS example DESTINATION .)
