=== debian/changelog ===
scikit-build-core (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Remove Andrius Merkys from Uploaders (Closes: #1058722).
  * d/control: Remove libpython3-dev as B-Depends (Closes: #1058395, #1056528).
    - Use python3-all-dev instead of python3-dev.
  * wrap-and-sort.
  * d/salsa-ci.yml: Enable salsa ci.
  * d/gbp.conf: Set debian/untable as default Debian branch.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Dec 2023 10:25:48 -0300
