=== debian/changelog ===
scikit-build-core (0.8.1-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 16 Feb 2024 16:13:48 -0300

scikit-build-core (0.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 11 Feb 2024 21:19:14 -0300
