=== debian/changelog ===
scikit-build-core (0.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 01 May 2024 16:09:19 -0300

scikit-build-core (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).
  * d/copyright: Add copyright entry for
    src/sckit_build_core/_vendor/pyproject_metadata/* files.
  * d/rules: Ignore test_pep517_sdist_hash test, it fails in
    autopkgtest.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Apr 2024 14:20:02 -0300

scikit-build-core (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * python3-scikit-build-core Depends: python3-pyproject-metadata
    (>= 0.5~), python3-pathspec (>=0.10.1~). Closes: #1068661
  * Build-Depends: python3-fastjsonschema, python3-numpy <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Apr 2024 19:33:09 +0200

scikit-build-core (0.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 10 Mar 2024 18:14:20 -0300
