=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cattr <!nocheck>,
+               python3-fastjsonschema <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
+               python3-numpy <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-venv <!nocheck>,
                python3-virtualenv <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/scikit-build/scikit-build-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
@@ -29,6 +31,9 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${python3:Depends},
+         python3-pyproject-metadata (>= 0.5~),
+         python3-pathspec (>=0.10.1~)
 Description: Python package build systems and CMake integration (Python 3)
  Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
  Python package build systems and CMake.
