## scikit-build-core 0.9.4

=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
   REQUIRED)
 
 add_custom_command(
-  OUTPUT src/pkg1/one.c
-  DEPENDS src/pkg1/one.pyx
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
   VERBATIM
   COMMAND
     Python::Interpreter -m cython
