=== debian/changelog ===
scikit-build-core (0.9.4-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 29 May 2024 20:51:05 -0300
