## scikit-build-core 0.10.3

=== debian/changelog ===
scikit-build-core (0.10.3-1) unstable; urgency=medium

  * New upstream version

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 14 Aug 2024 18:46:11 -0300

scikit-build-core (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore test_system_cmake test, it use pytest-subprocess that is
    not in Debian yet.
  * d/control: Remove redundant control relation ${python3:Depends}.
  * d/python3-scikit-build-core.examples: Add examples to /usr/share/doc/.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 09 Aug 2024 21:59:26 -0300
