=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: scikit-build-core
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Emmanuel Arias <eamanu@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: cmake <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -19,20 +19,19 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-venv <!nocheck>,
-               python3-virtualenv <!nocheck>,
-Testsuite: autopkgtest-pkg-pybuild
+               python3-virtualenv <!nocheck>
 Standards-Version: 4.7.0
-Homepage: https://github.com/scikit-build/scikit-build-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
+Homepage: https://github.com/scikit-build/scikit-build-core
+Rules-Requires-Root: no
 
 Package: python3-scikit-build-core
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${python3:Depends},
-         python3-pyproject-metadata (>= 0.5~),
+         python3-pyproject-metadata,
          python3-pathspec (>=0.10.1~)
 Description: Python package build systems and CMake integration (Python 3)
  Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
