## scikit-build-core 0.10.5

=== debian/changelog ===
scikit-build-core (0.10.5-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 29 Aug 2024 11:56:52 -0300
