=== debian/changelog ===
scikit-build-core (0.10.7-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Restore test_system_cmake test as pytest-subprocess
    is now available.
  * debian/control: Add missing build-dependency
    python3-pytest-subprocess <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Sep 2024 18:48:43 -0400

scikit-build-core (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * debian/control: Add missing build-dependency:
      + python3-validate-pyproject <!nocheck>
      + python3-hatch-fancy-pypi-readme <!nocheck>
      + python3-setuptools-scm <!nocheck>

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Sep 2024 23:03:02 -0400
