=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
                python3-all-dev,
                python3-cattr <!nocheck>,
                python3-fastjsonschema <!nocheck>,
+               python3-hatch-fancy-pypi-readme <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
                python3-numpy <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-subprocess <!nocheck>,
                python3-setuptools,
+               python3-setuptools-scm <!nocheck>,
+               python3-validate-pyproject <!nocheck>,
                python3-venv <!nocheck>,
-               python3-virtualenv <!nocheck>
+               python3-virtualenv <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
