## scikit-build-core 0.11.1

=== docs/examples/getting_started/abi3/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
   COMPONENTS Interpreter Development.SABIModule
   REQUIRED)
 
-python_add_library(example MODULE example.c WITH_SOABI USE_SABI 3.7)
+python_add_library(example MODULE example.c WITH_SOABI USE_SABI 3.8)
 
 install(TARGETS example DESTINATION .)
