=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.15...3.29)
 project(${SKBUILD_PROJECT_NAME} LANGUAGES C)
 
 find_package(
@@ -8,7 +8,7 @@
 
 add_custom_command(
   OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
-  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
+  MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
   VERBATIM
   COMMAND
     Python::Interpreter -m cython
