=== debian/changelog ===
scikit-build-core (0.11.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add patch to remove Python 3.13 from the classifiers list in pyproject.toml
  * Update list of failing tests to avoid in d/rules
  * Update debian-branch in gbp.conf
  * Add explicit build-dep on python3-packaging from bookworm-backports

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 19 May 2025 19:14:28 -0300

scikit-build-core (0.11.1-2) unstable; urgency=medium

  * Team upload.
  * Filter "-no-wheel" deprecation warning from becoming errors
    (Closes: #1104528)

 -- Ananthu C V <weepingclown@debian.org>  Sun, 04 May 2025 14:35:26 +0530

scikit-build-core (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:58:31 +0100
