=== debian/control ===
--- 
+++ 
@@ -9,22 +9,24 @@
                dh-sequence-python3,
                pybind11-dev <!nocheck>,
                pybuild-plugin-pyproject,
-               python3-all-dev,
+               python3-all,
                python3-cattr <!nocheck>,
                python3-fastjsonschema <!nocheck>,
                python3-hatch-fancy-pypi-readme <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
                python3-numpy <!nocheck>,
+               python3-packaging (>= 25.0-1~) <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-subprocess <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm <!nocheck>,
                python3-validate-pyproject <!nocheck>,
                python3-venv <!nocheck>,
                python3-virtualenv <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
 Homepage: https://github.com/scikit-build/scikit-build-core
