=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = scikit-build-core
export PYBUILD_SYSTEM = pyproject
export PYBUILD_TEST_ARGS = -k 'not network and not test_cmake_config and not test_get_requires and not test_prepare_metadata and not test_program_search and not test_setuptools_abi3 and not test_setuptools_pep517 and not test_pep517_sdist_hash and not test_pyproject_pep517 and not test_settings_overrides and not test_broken_fallback and not test_dynamic_metadata and not test_pyproject_abi3 and not test_pyproject_extra_dirs and not test_pyproject_pep660 and not test_pyproject_purelib and not test_schema and not test_simplest_c'

export PYBUILD_BEFORE_TEST=cp -r {dir}/pyproject.toml {build_dir}

export http_proxy = 127.0.0.1
export https_proxy = 127.0.0.1

%:
	dh $@ --buildsystem pybuild
