## scikit-build-core 0.11.6

=== tests/packages/abi3_pyproject_ext/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,16 @@
   COMPONENTS Interpreter Development.Module ${SKBUILD_SABI_COMPONENT}
   REQUIRED)
 
-if(NOT "${SKBUILD_SABI_COMPONENT}" STREQUAL "")
-  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI 3.7)
+if(NOT "${SKBUILD_SABI_VERSION}" STREQUAL "")
+  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI
+                     ${SKBUILD_SABI_VERSION})
+
+  if(NOT SKBUILD_SABI_VERSION STREQUAL "3.8")
+    message(
+      FATAL_ERROR
+        "TEST FAILED: SKBUILD_SABI_VERSION (${SKBUILD_SABI_VERSION}) is not 3.8"
+    )
+  endif()
 else()
   python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI)
 endif()
