=== tests/packages/custom_cmake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   VERSION 2.3.4)
 
 find_package(ExamplePkg REQUIRED)
-
+find_package(ExampleRoot REQUIRED)
 include(ExampleInclude)
 
 if(NOT EXAMPLE_INCLUDE_FOUND)
