=== tests/packages/navigate_editable/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 set(CMakeVar "Some_value_C")
 configure_file(src/shared_pkg/data/generated.txt.in
                shared_pkg/data/c_generated.txt)
+configure_file(src/shared_pkg/data/generated.txt.in shared_pkg/data/.hidden)
 
 install(
   TARGETS c_module
@@ -19,3 +20,5 @@
   COMPONENT PythonModule)
 install(FILES ${PROJECT_BINARY_DIR}/shared_pkg/data/c_generated.txt
         DESTINATION shared_pkg/data/)
+install(FILES ${PROJECT_BINARY_DIR}/shared_pkg/data/.hidden
+        DESTINATION shared_pkg/data/)
