=== debian/changelog ===
scikit-build-core (0.11.6-1) unstable; urgency=medium

  * New upstream version
  * d/patches/remove-no-wheel-usage.patch: Remove patch, it was
    already applied in upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Sep 2025 20:45:39 -0300

scikit-build-core (0.11.1-3) unstable; urgency=medium

  * Team upload.
  * Remove "--no-wheel" usage instead of suppressing warnings

 -- Ananthu C V <weepingclown@debian.org>  Wed, 07 May 2025 00:11:26 +0530
