=== debian/control ===
Source: scikit-build-core
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 cmake <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybind11-dev <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cattr <!nocheck>,
 python3-fastjsonschema <!nocheck>,
 python3-hatch-fancy-pypi-readme <!nocheck>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-numpy <!nocheck>,
 python3-pyproject-metadata <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-subprocess <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm <!nocheck>,
 python3-validate-pyproject <!nocheck>,
 python3-venv <!nocheck>,
 python3-virtualenv <!nocheck>,
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
Homepage: https://github.com/scikit-build/scikit-build-core
Rules-Requires-Root: no

Package: python3-scikit-build-core
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pyproject-metadata,
 python3-pathspec,
Description: Python package build systems and CMake integration (Python 3)
 Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
 Python package build systems and CMake.
 .
 This package installs the library for Python 3.
